package com.kym.service;

import com.kym.entity.DeviceRelation;
import com.kym.service.mybatisplus.MyBaseService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author skyline
 * @since 2024-11-11
 */
public interface DeviceRelationService extends MyBaseService<DeviceRelation> {

    void add(DeviceRelation deviceRelation);

    void removeByDevice(String productKey, String deviceName);

    List<DeviceRelation> listByStationId(String stationId);

    void removeById(Long id);
}
